# GimpUi.ProcedureDialog.prototype.get_drawable_preview

    function get_drawable_preview(preview_id: String, drawable: Gimp.Drawable): Gtk.Widget {
        // Gjs wrapper for gimp_procedure_dialog_get_drawable_preview()
    }

Gets or creates a new GimpUi.DrawablePreview for drawable. If a widget with the preview_id has already been created for this procedure, it will be returned instead.

The preview_id ID can later be used together with property names to be packed in other containers or inside dialog itself.

preview_id

  the ID of GimpUi.DrawablePreview.

drawable

  the Gimp.Drawable.

Returns

  the Gtk.Widget representing preview_id. The object belongs to dialog and must not be freed.